JUCE: BlocksProtocol::BlockStringData< MaxSize > Struct Template Reference

JUCE

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
BlocksProtocol::BlockStringData< MaxSize > Struct Template Reference

Structure for generic block data. More...

## Public Member Functions
bool | isNotEmpty () const
String | asString () const
bool | operator== (const BlockStringData &other) const
bool | operator!= (const BlockStringData &other) const

## Public Attributes
uint8 | data [MaxSize] = {}
uint8 | length = 0

## Static Public Attributes
static const size_t | maxLength { MaxSize }

## Detailed Description

### template<size_t MaxSize>
struct BlocksProtocol::BlockStringData< MaxSize >

Structure for generic block data.

## Member Function Documentation

## ◆ isNotEmpty()

template<size_t MaxSize>

bool BlocksProtocol::BlockStringData< MaxSize >::isNotEmpty | ( |  | ) | const

## ◆ asString()

template<size_t MaxSize>

String BlocksProtocol::BlockStringData< MaxSize >::asString | ( |  | ) | const

## ◆ operator==()

template<size_t MaxSize>

bool BlocksProtocol::BlockStringData< MaxSize >::operator== | ( | const BlockStringData< MaxSize > & | other | ) | const

## ◆ operator!=()

template<size_t MaxSize>

bool BlocksProtocol::BlockStringData< MaxSize >::operator!= | ( | const BlockStringData< MaxSize > & | other | ) | const

## Member Data Documentation

## ◆ data

template<size_t MaxSize>

uint8 BlocksProtocol::BlockStringData< MaxSize >::data[MaxSize] = {}

Referenced by BlocksProtocol::BlockStringData< 16 >::asString(), BlocksProtocol::HostPacketDecoder< Handler >::handleName(), BlocksProtocol::HostPacketDecoder< Handler >::handleTopologyDevice(), BlocksProtocol::HostPacketDecoder< Handler >::handleVersion(), and BlocksProtocol::BlockStringData< 16 >::operator==().

## ◆ length

template<size_t MaxSize>

uint8 BlocksProtocol::BlockStringData< MaxSize >::length = 0

Referenced by BlocksProtocol::BlockStringData< 16 >::asString(), BlocksProtocol::HostPacketDecoder< Handler >::handleName(), BlocksProtocol::HostPacketDecoder< Handler >::handleTopologyDevice(), BlocksProtocol::HostPacketDecoder< Handler >::handleVersion(), BlocksProtocol::BlockStringData< 16 >::isNotEmpty(), and BlocksProtocol::BlockStringData< 16 >::operator==().

## ◆ maxLength

template<size_t MaxSize>

const size_t BlocksProtocol::BlockStringData< MaxSize >::maxLength { MaxSize }
| static

The documentation for this struct was generated from the following file:

- juce_BlocksProtocolDefinitions.h